<?php
use Carbon\Carbon;
use joshtronic\LoremIpsum;

$__environment = 'web';
include_once implode(DIRECTORY_SEPARATOR, [
  dirname(__DIR__),
  'bootstrap',
  'app.php'
]);
$filename = implode(DIRECTORY_SEPARATOR, [
  $app->getContainer()->get('folders.data'),
  'segmentos.json'
]);
$segmentos = json_decode(trim(file_get_contents($filename)));
$f = Carbon::today();
$lipsum = new LoremIpsum;

$comunas = ['Santiago', 'Macul', 'Ñuñoa', 'San Miguel', 'Las Condes', 'Estacion Central', 'Pudahuel', 'Lo Barnechea', 'Vitacura', 'Maipu', 'Puente Alto'];

$productos = [];
for ($i = 0; $i < 100; $i ++) {
  $producto = [];
  $producto['nombre'] = ucwords($lipsum->words(2));
  $producto['segmento'] = $segmentos[mt_rand(0, count($segmentos) - 1)]->titulo;
  $producto['direccion'] = ucwords($lipsum->words(2)) . ' ' . mt_rand(10, 59999);
  $producto['comuna'] = $comunas[mt_rand(0, count($comunas) - 1)];
  $producto['ciudad'] = 'Santiago, Chile';
  $producto['imagen'] = 'optimus.jpg';
  $producto['valor'] = number_format(mt_rand() / mt_getrandmax() * 10000, 2, ',', '.');
  $producto['bono'] = number_format(mt_rand() / mt_getrandmax() * 100, 2, ',', '.');
  $producto['rentabilidad'] = mt_rand(10, 70);
  $producto['estado'] = (['Construcción', 'Entrega Inmediata', 'Usado'])[mt_rand(0, 2)];
  $producto['cuota'] = mt_rand(1, 30);
  $producto['entrega'] = str_pad(mt_rand(1, 12), 2, '0', STR_PAD_LEFT) . '/' . mt_rand(19, 25);
  $producto['publicacion'] = $f->copy()->subDays(mt_rand(0, 100))->locale('es')->isoFormat('D \d\e MMMM, YYYY');
  $producto['unidades'] = mt_rand(10, 300);
  $producto['modelos'] = mt_rand(1, 20);
  $producto['tamaño'] = mt_rand(30, 200) . ' - ' . mt_rand(100, 500) . ' m²';
  $producto['descripcion'] = $lipsum->paragraphs(2);
  $productos []= (object) $producto;
}
$filename = implode(DIRECTORY_SEPARATOR, [
  $app->getContainer()->get('folders.data'),
  'productos.json'
]);
file_put_contents($filename, json_encode($productos, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES));
echo 'OK';
